Bug 386461 - f8 installer hangs with seg fault
f8 installer hangs with seg fault
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-16 03:23 EST by Tony Hollows
Modified: 2008-08-01 20:27 EDT (History)
4 users (show)

See Also:
Fixed In Version: fedora 9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-01 20:27:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Last part of screen output (1.67 KB, text/plain)
2007-11-16 03:26 EST, Tony Hollows
no flags Details
initrd- (2.89 MB, application/octet-stream)
2007-11-16 23:33 EST, Tony Hollows
no flags Details

  None (edit)
Description Tony Hollows 2007-11-16 03:23:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv: Gecko/20071025 Firefox/

Description of problem:
Installing Fedora 8 from DVD hangs after Fedora is installed and the PC attempts to boot for the first time. It hangs after nash starts before the final configuration screen loads.

I removed the 'quiet' option from grub to get a more detailed output on screen. I have copied the last part to a text file which I will attach. Unfortunately the install procedure was not completed so /var/log/messages is blank. (Checked in rescue mode)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot with Fedora 8 DVD
2. Configure installation and wait for installation to finish
3. Click 'Reboot' and remove DVD

Actual Results:
PC reboots and boots from HD. Gets to the point where is says 'Red Hat nash version 6.0.19 starting' then hangs.

Expected Results:
The final install configuration screen should start.

Additional info:
I have had several installation attempts, changing installed packages, partitioning etc. All fail. 

I have installed Fedora 8 successfully on another PC from the same DVD.

The PC had a working Fedora 6 installation before I wiped it with a clean install of Fedora 8.

PC hardware:
Athlon64 3500+
Nvidia 7800GT
ASUS A8N-E motherboard
2x160GB SATA drives with hardware RAID0 (Nvidia)
 - contains existing Win XP installation on 2 partitions(C: & D:)
 - designated as /dev/mapper/nvidia_abggefba1 and /dev/mapper/nvidia_abggefba2
 - contained a working Fedora 6 installation
 - has new clean Fedora 8 installation
 - /dev/sdc1 '/'
   /dev/sdc2 'SWAP'
   /dev/sdc3 '/home'
Comment 1 Tony Hollows 2007-11-16 03:26:09 EST
Created attachment 260871 [details]
Last part of screen output

Partial copy of screen output.
Comment 2 Chuck Ebbert 2007-11-16 18:12:57 EST
Something is wrong with the RAID setup, but that shouldn't cause nash to segfault.
Can you upload your initrd? You will need to boot the rescue disk or the live cd
to get access.
Comment 3 Tony Hollows 2007-11-16 23:33:20 EST
Created attachment 262141 [details]

initrd image
Comment 4 galerien 2007-12-09 16:38:20 EST
i have the same problem than you. 

After multiple test, i obtain directly the problem if I add command dm list
command in initrd.

For me, nash has a bug with dm command and Raid. See bug 415901
Comment 5 Andy Lindeberg 2008-07-14 16:42:52 EDT
Can you reproduce the problem in F9?
Comment 6 Tony Hollows 2008-07-31 02:49:33 EDT
I have installed F9 OK :-) The problem seems to be fixed.

Note You need to log in before you can comment on or make changes to this bug.